Microsoft IME

Microsoft IME

Supported Character Sets

Supported Keyboard Type

Language Bar Customization

Soft Keyboard

Text Service Dialog

Supporting More Than One Language

Minimizing the Language Bar


Microsoft IME

Microsoft IME enables users to input Korean characters (Hangul) and Chinese characters (Hanja) into an application. Microsoft IME has a new architecture that supports the management of multiple language input tools (such as Japanese IME) and next generation input tools (such as Handwriting) at the same time.

Microsoft IME displays the Language Bar shown below.

This branding icon indicates that the standard Microsoft IME is being used. If there are more than one Microsoft IME installed (such as the Old Hangul Input Tool from the Korean version of Microsoft Word), a user can click this icon to list all the available input tools. If there is only one Korean IME installed, this icon will be static.

These icons display the current input mode, either Korean or English.  Users can also switch the input mode by clicking these icons or by hitting the Hangul/Eng key (or the right-alt key) on the keyboard.

Click this icon to convert Hangul to Hanja.  For instance, if a user clicks this icon after typing in a Hangul word, IME will bring up a list of candidate Hanja words. Then the user can select a target Hanja word by selecting one from the list with a mouse click or typing the corresponding selection number next to the Hanja word. The user can also use the Hanja key or the right-ctrl key on the Keyboard to use this feature.

This icon will bring up the IMEPad, which can be used for Handwriting input and Hanja input by Radical/Stroke Count.  The IMEPad is shown in the picture below.  Please refer to the IMEPad help.

This icon will bring up the dialog for the user to add Hanja words to the user dictionary which can be used for Hangul-Hanja conversion.

This icon will launch the Microsoft IME help.


Supported Character Sets

Microsoft Korean IME supports 11,172 Korean syllables and 51 Korean Jamo characters, which are defined in KS X 1005-1(KS C 5700-1995). Microsoft Korean IME supports 4,888 K0 Hanja and 2,856 K1 Hanja defined in KS X 1005-1(KS C 5700-1995). Microsoft IME also supports the Euro sign and the Registered Trade Mark symbol defined in KS X 1001-1998(KS C 5601-1998).


Supported Keyboard Type

Microsoft IME supports three types of keyboards. Users can switch the keyboard type from the 'Properties' dialog.

  • 2 beolsik

    This is the most widely used and is the current Korean standard. This keyboard does not distinguish a leading consonant from a trailing consonant.

  • 3 beolsik – type-390

    3 beolsik keyboard distinguishes a leading consonant from a trailing consonant. There are two kinds of 3 beolsik keyboards, type-390 and type-final. Type-390 is the one created from the type-final 3 beolsik to make it easier for a beginner to use.

  • 3 beolsik – type-final

    Dr. ByungWoo Kong invented this keyboard. It is also called Dr. Kong's keyboard.


Language Bar Customization

Users can customize the Language Bar to show only items that are used frequently. As shown below, a user can bring up the icon list by pushing the option button. The entire list of tool icons will be shown including the 'Full/Half width' icon and the soft keyboard icon that are not selected in the example shown below. The icons selected from the list will be included in the language bar for usage.


Soft Keyboard

If a user selects the soft keyboard from the option list, it will show up in the language bar as follows:

Clicking the soft keyboard icon will bring up the currently active soft keyboard type – Hangul 2 beolsik, Hangul 3 beolsik, or English keyboard.  The picture below is the soft keyboard for Hangul 2 beolsik. Users can enter input by selecting a key with the mouse.


Text Service Dialog

Text Services and Input Languages Dialog Box

Selecting Settings from the option menu will bring up the dialog box below.

A user can change the language bar settings with this dialog box. The user can also add a new input tool or IME supporting other languages.

  • Add Input Language Dialog Box
    •

The Add button will bring up the dialog box below. This dialog box is used to add an input tool for other languages.

  • Properties Dialog Box
    •

Clicking the Properties button will bring up the properties dialog box for the selected input tool. The following dialog box will be displayed for Microsoft IME.

Keyboard type

Users can select 2 beolsik or 3 beolsik keyboard.

Delete by Jamo unit

Users can delete one Jamo character at a time using the Delete key while composing a character when this option is selected.

Enable extended Hanja

A user can choose whether to use the extended Hanja for Hanja conversion. If the user enables this, the extended Hanja will be displayed in blue or purple in the candidate Hanja list.


Supporting More than One Language

If there is more than one language input tool installed, the language bar will display the list of installed input tools as shown below. This example depicts the case where the Japanese IME is also installed in addition to the Korean IME. Users can freely choose which language to use.


Minimizing the Language Bar

Users can minimize the language bar using the minimize button on the right as shown below. The language bar will be displayed in the notification area.